document.addEventListener('DOMContentLoaded', function () {
    const serialNumberInput = document.getElementById('serial-number');
    const confirmButton = document.getElementById('confirm-button');

    // Confirm Button Click Handler
    confirmButton.addEventListener('click', () => {
        const serialNumber = serialNumberInput.value.trim();

        if (!serialNumber) {
            alert('Por favor, informe o número de série.');
            return;
        }

        // Simulate confirmation (replace with actual logic)
        console.log('Número de Série:', serialNumber);
        alert(`Ativação confirmada para o equipamento com número de série: ${serialNumber}`);
    });
});